Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4ProtonGEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4ProtonGEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4ProtonGEMProbability.cc	(revision 1196)
@@ -25,11 +25,12 @@
 //
 //
-// $Id: G4ProtonGEMProbability.cc,v 1.4 2006/06/29 20:23:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ProtonGEMProbability.cc,v 1.5 2009/09/15 12:54:17 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Sept 2001)
 //
-
+// J.M. Quesada (July 2009) C's and k's  values according to Furihata's paper 
+// (based on notes added on proof in Dostrovskii's paper)
 
 #include "G4ProtonGEMProbability.hh"
@@ -70,7 +71,22 @@
 }
 
-
+//JMQ 190709 C's values from Furihata's paper 
+//(notes added on proof in Dostrovskii's paper) 
+//data = {{20, 0.}, {30, -0.06}, {40, -0.10}, {50, -0.10}};
 G4double G4ProtonGEMProbability::CCoeficient(const G4double aZ) const
 {
+   G4double C = 0.0;
+	
+    if (aZ >= 50){
+      C=-0.10;     
+    } else if (aZ <= 20) {
+        C = 0.0;
+    } else C=0.123482-0.00534691*aZ-0.0000610624*aZ*aZ+5.93719*1e-7*aZ*aZ*aZ+1.95687*1e-8*aZ*aZ*aZ*aZ;	
+    return C;
+	
+}
+
+//G4double G4ProtonGEMProbability::CCoeficient(const G4double aZ) const
+//{
     // Data comes from 
     // Dostrovsky, Fraenkel and Friedlander
@@ -80,13 +96,13 @@
     // G4double Zlist[5] = { 10.0, 20.0, 30.0, 50.0, 70.0};
     // G4double Cp[5] = { 0.50, 0.28, 0.20, 0.15, 0.10};
-    G4double C = 0.0;
+//    G4double C = 0.0;
 	
-    if (aZ >= 70) {
-        C = 0.10;
-    } else {
-        C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
-    }
+//    if (aZ >= 70) {
+//        C = 0.10;
+//    } else {
+//        C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
+//    }
 	
-    return C;
+//    return C;
 	
-}
+//}
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMChannel.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMChannel.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4TritonGEMChannel.cc,v 1.4 2006/06/29 20:23:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4TritonGEMChannel.cc,v 1.5 2009/09/15 12:54:17 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4TritonGEMProbability.cc	(revision 1196)
@@ -25,10 +25,12 @@
 //
 //
-// $Id: G4TritonGEMProbability.cc,v 1.4 2006/06/29 20:23:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4TritonGEMProbability.cc,v 1.5 2009/09/15 12:54:17 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov 1999)
 //
+// J.M. Quesada (July 2009) C's and k's  values according to Furihata's paper 
+// (based on notes added on proof in Dostrovskii's paper)
 
 
@@ -70,7 +72,23 @@
 }
 
-
+//JMQ 190709 C's values from Furihata's paper 
+//(notes added on proof in Dostrovskii's paper)
+//data = {{20, 0.}, {30, -0.06}, {40, -0.10}, {50, -0.10}};
 G4double G4TritonGEMProbability::CCoeficient(const G4double aZ) const
 {
+   G4double C = 0.0;
+	
+    if (aZ >= 50){
+      C=-0.10;     
+    } else if (aZ <= 20) {
+        C = 0.0;
+    } else C=0.123482-0.00534691*aZ-0.0000610624*aZ*aZ+5.93719*1e-7*aZ*aZ*aZ+1.95687*1e-8*aZ*aZ*aZ*aZ;	
+    return C/3.;
+	
+}
+
+
+//G4double G4TritonGEMProbability::CCoeficient(const G4double aZ) const
+//{
     // Data comes from 
     // Dostrovsky, Fraenkel and Friedlander
@@ -81,13 +99,13 @@
     // G4double Cp[5] = { 0.50, 0.28, 0.20, 0.15, 0.10};
     // C for triton is equal to C for protons divided by 3
-    G4double C = 0.0;
+//    G4double C = 0.0;
 	
-    if (aZ >= 70) {
-	C = 0.10;
-    } else {
-	C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
-    }
+//    if (aZ >= 70) {
+//	C = 0.10;
+//    } else {
+//	C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
+//    }
 	
-    return C/3.0;
+//    return C/3.0;
 	
-}
+//}
